  int n;
    int left;
    int right;
    cin >> n;
    cin >> n2;
    n2 = n;
    if (n%2==1)
    {
        n / 2 = right;
        1 + right = left;
      left > right;  
    }
    cin >> n2;
    return 0;